> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Checkouts



## OpenAPI

````yaml get /unstable/agent-checkouts
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Agents API
  title: Crossmint Agents API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
  - description: Production environment (mainnets)
    url: https://www.crossmint.com/api
security: []
tags: []
paths:
  /unstable/agent-checkouts:
    get:
      tags:
        - Agent Checkouts
      summary: List Agent Checkouts
      operationId: AgentCheckoutsController-listCheckouts-2
      parameters:
        - description: >-
            Server-side subject to act on behalf of. Ignored for client-side
            user auth.
          in: header
          name: x-crossmint-user-id
          required: false
          schema:
            type: string
        - description: Bearer token for client-side user auth.
          in: header
          name: Authorization
          required: false
          schema:
            type: string
        - description: Crossmint project API key.
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: query
          name: cursor
          required: false
          schema:
            minLength: 1
            type: string
        - in: query
          name: limit
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCheckoutListResponseDTO'
          description: ''
components:
  schemas:
    AgentCheckoutListResponseDTO:
      properties:
        data:
          items:
            anyOf:
              - properties:
                  browser:
                    nullable: true
                    properties:
                      embedUrl:
                        format: uri
                        type: string
                      permissions:
                        items:
                          enum:
                            - read
                          type: string
                        maxItems: 1
                        minItems: 1
                        readOnly: true
                        type: array
                    required:
                      - embedUrl
                      - permissions
                    type: object
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  reason:
                    enum:
                      - accounting_unavailable
                      - browser_session_lost
                      - cancelled
                      - cost_limit
                      - input_expired
                      - model_error
                      - reconciliation_required
                      - runtime_error
                    type: string
                  requiredAction: {}
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - failed
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - reason
                  - requiredAction
                  - revision
                  - runId
                  - status
                type: object
              - properties:
                  browser:
                    nullable: true
                    properties:
                      embedUrl:
                        format: uri
                        type: string
                      permissions:
                        items:
                          enum:
                            - read
                          type: string
                        maxItems: 1
                        minItems: 1
                        readOnly: true
                        type: array
                    required:
                      - embedUrl
                      - permissions
                    type: object
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  requiredAction:
                    properties:
                      messageId:
                        minLength: 1
                        type: string
                      request:
                        properties:
                          expiresAt:
                            allOf:
                              - pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                              - pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            type: string
                          interaction:
                            properties:
                              kind:
                                enum:
                                  - form
                                type: string
                              responseSchema:
                                additionalProperties: true
                                type: object
                              uiSchema:
                                additionalProperties: true
                                type: object
                            required:
                              - kind
                              - responseSchema
                              - uiSchema
                            type: object
                          question:
                            minLength: 1
                            type: string
                        required:
                          - expiresAt
                          - interaction
                          - question
                        type: object
                      requestId:
                        minLength: 1
                        type: string
                      type:
                        enum:
                          - input_response
                        type: string
                    required:
                      - messageId
                      - request
                      - requestId
                      - type
                    type: object
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - awaiting_input
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - requiredAction
                  - revision
                  - runId
                  - status
                type: object
              - properties:
                  browser:
                    nullable: true
                    properties:
                      embedUrl:
                        format: uri
                        type: string
                      permissions:
                        items:
                          enum:
                            - read
                          type: string
                        maxItems: 1
                        minItems: 1
                        readOnly: true
                        type: array
                    required:
                      - embedUrl
                      - permissions
                    type: object
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  requiredAction: {}
                  result:
                    properties:
                      code:
                        enum:
                          - merchant.access_blocked
                          - merchant.checkout_error
                          - merchant.fulfillment_unavailable
                          - merchant.human_verification_required
                          - merchant.no_safe_path
                          - merchant.payment_declined
                          - policy.max_cost_exceeded
                          - product.item_unavailable
                          - product.requested_option_unavailable
                        type: string
                      outcome:
                        enum:
                          - blocked
                        type: string
                      summary:
                        maxLength: 2000
                        minLength: 1
                        type: string
                    required:
                      - code
                      - outcome
                      - summary
                    type: object
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - blocked
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - requiredAction
                  - result
                  - revision
                  - runId
                  - status
                type: object
              - properties:
                  browser:
                    nullable: true
                    properties:
                      embedUrl:
                        format: uri
                        type: string
                      permissions:
                        items:
                          enum:
                            - read
                          type: string
                        maxItems: 1
                        minItems: 1
                        readOnly: true
                        type: array
                    required:
                      - embedUrl
                      - permissions
                    type: object
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  requiredAction: {}
                  result:
                    properties:
                      outcome:
                        enum:
                          - cancelled
                        type: string
                      summary:
                        maxLength: 2000
                        minLength: 1
                        type: string
                    required:
                      - outcome
                      - summary
                    type: object
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - cancelled
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - requiredAction
                  - result
                  - revision
                  - runId
                  - status
                type: object
              - properties:
                  browser:
                    nullable: true
                    properties:
                      embedUrl:
                        format: uri
                        type: string
                      permissions:
                        items:
                          enum:
                            - read
                          type: string
                        maxItems: 1
                        minItems: 1
                        readOnly: true
                        type: array
                    required:
                      - embedUrl
                      - permissions
                    type: object
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  requiredAction: {}
                  result:
                    properties:
                      outcome:
                        enum:
                          - succeeded
                        type: string
                      purchase:
                        anyOf:
                          - properties:
                              kind:
                                enum:
                                  - confirmed_without_receipt
                                type: string
                            required:
                              - kind
                            type: object
                          - properties:
                              kind:
                                enum:
                                  - receipt_captured
                                type: string
                              receipt:
                                properties:
                                  merchantOrderId:
                                    maxLength: 500
                                    minLength: 1
                                    type: string
                                  total:
                                    properties:
                                      amount:
                                        pattern: ^(?:0|[1-9]\d{0,14})(?:\.\d{1,6})?$
                                        type: string
                                      currency:
                                        pattern: ^[A-Z]{3}$
                                        type: string
                                    required:
                                      - amount
                                      - currency
                                    type: object
                                required:
                                  - total
                                type: object
                            required:
                              - kind
                              - receipt
                            type: object
                      summary:
                        maxLength: 2000
                        minLength: 1
                        type: string
                    required:
                      - outcome
                      - purchase
                      - summary
                    type: object
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - succeeded
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - requiredAction
                  - result
                  - revision
                  - runId
                  - status
                type: object
              - properties:
                  browser:
                    nullable: true
                    properties:
                      embedUrl:
                        format: uri
                        type: string
                      permissions:
                        items:
                          enum:
                            - read
                          type: string
                        maxItems: 1
                        minItems: 1
                        readOnly: true
                        type: array
                    required:
                      - embedUrl
                      - permissions
                    type: object
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  requiredAction: {}
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - running
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - requiredAction
                  - revision
                  - runId
                  - status
                type: object
              - properties:
                  browser: {}
                  createdAt:
                    allOf:
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    type: string
                  input:
                    properties:
                      browserProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      buyerProfileId:
                        allOf:
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        type: string
                      constraints:
                        properties:
                          maxCost:
                            properties:
                              amount:
                                pattern: >-
                                  ^(?:0\.(?=\d*[1-9])\d{1,6}|[1-9]\d{0,14}(?:\.\d{1,6})?)$
                                type: string
                              currency:
                                pattern: ^[A-Z]{3}$
                                type: string
                            required:
                              - amount
                              - currency
                            type: object
                        required:
                          - maxCost
                        type: object
                      merchantGuidance:
                        maxLength: 20000
                        minLength: 1
                        type: string
                      request:
                        properties:
                          startUrl:
                            format: uri
                            type: string
                          task:
                            maxLength: 20000
                            minLength: 1
                            type: string
                        required:
                          - startUrl
                        type: object
                    required:
                      - constraints
                      - request
                    type: object
                  knownSpentUsdMicros:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  requiredAction: {}
                  revision:
                    maximum: 9007199254740991
                    minimum: 0
                    type: integer
                  runId:
                    minLength: 1
                    type: string
                  status:
                    enum:
                      - queued
                    type: string
                required:
                  - browser
                  - createdAt
                  - input
                  - knownSpentUsdMicros
                  - requiredAction
                  - revision
                  - runId
                  - status
                type: object
          type: array
        nextCursor:
          minLength: 1
          nullable: true
          type: string
      required:
        - data
        - nextCursor
      type: object

````